---
title: background
slug: Web/CSS/background
tags:
  - CSS
  - CSS Background
  - CSS Property
  - Reference
  - 'recipe:css-shorthand-property'
---
<p>{{CSSRef("CSS Background")}}</p>

<p><span class="seoSummary">The <strong><code>background</code></strong> <a href="/en-US/docs/Web/CSS/Shorthand_properties">shorthand</a> <a href="/en-US/docs/Web/CSS">CSS</a> property sets all background style properties at once, such as color, image, origin and size, or repeat method.</span></p>

<div>{{EmbedInteractiveExample("pages/css/background.html")}}</div>

<div class="hidden">The source for this interactive example is stored in a GitHub repository. If you'd like to contribute to the interactive examples project, please clone <a href="https://github.com/mdn/interactive-examples">https://github.com/mdn/interactive-examples</a> and send us a pull request.</div>

<h2 id="Constituent_properties">Constituent properties</h2>

<p>This property is a shorthand for the following CSS properties:</p>

<ul>
 <li>{{cssxref("background-attachment")}}</li>
 <li>{{cssxref("background-clip")}}</li>
 <li>{{cssxref("background-color")}}</li>
 <li>{{cssxref("background-image")}}</li>
 <li>{{cssxref("background-origin")}}</li>
 <li>{{cssxref("background-position")}}</li>
 <li>{{cssxref("background-repeat")}}</li>
 <li>{{cssxref("background-size")}}</li>
</ul>

<h2 id="Syntax">Syntax</h2>

<pre class="brush: css no-line-numbers notranslate">/* Using a &lt;background-color&gt; */
background: green;

/* Using a &lt;bg-image&gt; and &lt;repeat-style&gt; */
background: url("test.jpg") repeat-y;

/* Using a &lt;box&gt; and &lt;background-color&gt; */
background: border-box red;

/* A single image, centered and scaled */
background: no-repeat center/80% url("../img/image.png");
</pre>

<p>The <code>background</code> property is specified as one or more background layers, separated by commas.</p>

<p>The syntax of each layer is as follows:</p>

<ul>
 <li>Each layer may include zero or one occurrences of any of the following values:
  <ul>
   <li><code><a href="#&lt;attachment&gt;">&lt;attachment&gt;</a></code></li>
   <li><code><a href="#&lt;bg-image&gt;">&lt;bg-image&gt;</a></code></li>
   <li><code><a href="#&lt;position&gt;">&lt;position&gt;</a></code></li>
   <li><code><a href="#&lt;bg-size&gt;">&lt;bg-size&gt;</a></code></li>
   <li><code><a href="#&lt;repeat-style&gt;">&lt;repeat-style&gt;</a></code></li>
  </ul>
 </li>
 <li>The <code><a href="#&lt;bg-size&gt;">&lt;bg-size&gt;</a></code> value may only be included immediately after <code><a href="#&lt;position&gt;">&lt;position&gt;</a></code>, separated with the '/' character, like this: "<code>center/80%</code>".</li>
 <li>The <code><a href="#&lt;box&gt;">&lt;box&gt;</a></code> value may be included zero, one, or two times. If included once, it sets both {{cssxref("background-origin")}} and {{cssxref("background-clip")}}. If it is included twice, the first occurrence sets {{cssxref("background-origin")}}, and the second sets {{cssxref("background-clip")}}.</li>
 <li>The <code><a href="#&lt;background-color&gt;">&lt;background-color&gt;</a></code> value may only be included in the last layer specified.</li>
</ul>

<h3 id="Values">Values</h3>

<dl>
 <dt id="&lt;attachment&gt;"><code>&lt;attachment&gt;</code></dt>
 <dd>See {{cssxref("background-attachment")}}</dd>
 <dt id="&lt;box&gt;"><code>&lt;box&gt;</code></dt>
 <dd>See {{cssxref("background-clip")}} and {{cssxref("background-origin")}}</dd>
 <dt id="&lt;background-color&gt;"><code>&lt;background-color&gt;</code></dt>
 <dd>See {{cssxref("background-color")}}</dd>
 <dt id="&lt;bg-image&gt;"><code>&lt;bg-image&gt;</code></dt>
 <dd>See {{Cssxref("background-image")}}</dd>
 <dt id="&lt;position&gt;"><code>&lt;position&gt;</code></dt>
 <dd>See {{cssxref("background-position")}}</dd>
 <dt id="&lt;repeat-style&gt;"><code>&lt;repeat-style&gt;</code></dt>
 <dd>See {{cssxref("background-repeat")}}</dd>
 <dt id="&lt;bg-size&gt;"><code>&lt;bg-size&gt;</code></dt>
 <dd>See {{cssxref("background-size")}}.</dd>
</dl>

<h2 id="Accessibility_concerns">Accessibility concerns</h2>

<p>Browsers do not provide any special information on background images to assistive technology. This is important primarily for screen readers, as a screen reader will not announce its presence and therefore convey nothing to its users. If the image contains information critical to understanding the page's overall purpose, it is better to describe it semantically in the document.</p>

<ul>
 <li><a href="/en-US/docs/Web/Accessibility/Understanding_WCAG/Perceivable#Guideline_1.1_%E2%80%94_Providing_text_alternatives_for_non-text_content">MDN Understanding WCAG, Guideline 1.1 explanations</a></li>
 <li><a href="https://www.w3.org/TR/2016/NOTE-UNDERSTANDING-WCAG20-20161007/text-equiv-all.html">Understanding Success Criterion 1.1.1 | W3C Understanding WCAG 2.0</a></li>
</ul>

<h2 id="Formal_definition">Formal definition</h2>

<p>{{cssinfo}}</p>

<h2 id="Formal_syntax">Formal syntax</h2>

<pre class="syntaxbox notranslate">{{csssyntax}}</pre>

<h2 id="Examples">Examples</h2>

<h3 id="Setting_backgrounds_with_color_keywords_and_images">Setting backgrounds with color keywords and images</h3>

<h4 id="HTML">HTML</h4>

<pre class="brush: html notranslate">&lt;p class="topbanner"&gt;
  Starry sky&lt;br/&gt;
  Twinkle twinkle&lt;br/&gt;
  Starry sky
&lt;/p&gt;
&lt;p class="warning"&gt;Here is a paragraph&lt;p&gt;</pre>

<h4 id="CSS">CSS</h4>

<pre class="brush:css' highlight:[2,6]; notranslate">.warning {
  background: pink;
}

.topbanner {
  background: url("https://mdn.mozillademos.org/files/11983/starsolid.gif") #99f repeat-y fixed;
}
</pre>

<h4 id="Result">Result</h4>

<p>{{EmbedLiveSample("Setting_backgrounds_with_color_keywords_and_images")}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('CSS3 Backgrounds', '#the-background', 'background')}}</td>
   <td>{{Spec2('CSS3 Backgrounds')}}</td>
   <td>The shorthand property has been extended to support multiple backgrounds and the new {{cssxref("background-size")}}, {{cssxref("background-origin")}} and {{cssxref("background-clip")}} properties.</td>
  </tr>
  <tr>
   <td>{{SpecName('CSS2.1', 'colors.html#propdef-background', 'background')}}</td>
   <td>{{Spec2('CSS2.1')}}</td>
   <td>No significant changes</td>
  </tr>
  <tr>
   <td>{{SpecName('CSS1', '#background', 'background')}}</td>
   <td>{{Spec2('CSS1')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p class="hidden">The compatibility table in this page is generated from structured data. If you'd like to contribute to the data, please check out <a href="https://github.com/mdn/browser-compat-data">https://github.com/mdn/browser-compat-data</a> and send us a pull request.</p>

<p>{{Compat("css.properties.background")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{cssxref("box-decoration-break")}}</li>
 <li><a href="/en-US/docs/Web/CSS/Using_CSS_gradients">Using gradients</a></li>
 <li><a href="/en-US/docs/Web/CSS/CSS_Backgrounds_and_Borders/Using_multiple_backgrounds">Using multiple backgrounds</a></li>
</ul>
